EDIT - bug #9396

nomenclatural status missing in typedesignations shown in synonymy
01/18/2021 01:41 PM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 10%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.43

Severity: normal Found in Version:

Description

Example:

http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/64e9f775-79fc-41cf-b154-225e8a4bc7d1

The type name Type: Lachnanthes tinctoria Elliott has the status nom. illeg.
The status is actually missing in the webservice response

http://api.cybertaxonomy.org/flora-cuba/portal/name/cf18fcd0-214d-4f52-bfef-3e8222{94066/typeDesignationsinHomotypicalGroup.js
on

Related issues:

Related to EDIT - task #10222: Use DTOs for portal taxon page - first impleme... Closed
Related to EDIT - feature request #10322: Use DTOs for portal taxon page (cont.) In Progress
History

#1 - 01/18/2021 01:45 PM - Andreas Kohlbecker

- Subject changed from nomenclatural status missing typedesignations in synonymy to nomenclatural status missing in typedesignations shown in
synonymy

#2 - 01/27/2021 03:15 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#3 - 03/10/2021 02:55 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#4 - 04/20/2021 09:06 AM - Andreas Kohlbecker
- Tags set to cuba

- Target version changed from Release 5.22 to Release 5.46

#5 - 01/30/2023 04:42 PM - Andreas Miiller
- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- Target version changed from Release 5.46 to Release 5.44

#6 - 01/30/2023 04:43 PM - Andreas Miiller
- Related to task #10222: Use DTOs for portal taxon page - first implementation for E+M added

#7 - 02/14/2024 11:36 PM - Andreas Miiller
- Related to feature request #10322: Use DTOs for portal taxon page (cont.) added

#8 - 02/14/2024 11:36 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43

#9 - 03/13/2024 04:33 PM - Andreas Miller

- Status changed from New to In Progress
http://portal.cybertaxonomy.org/flora-cuba/cdm_dataportal/taxon/64e9f775-79fc-41cf-b154-225e8a4bc7d1
http://api.cybertaxonomy.org/flora-cuba/portal/name/cf18fcd0-214d-4f52-bfef-3e8222f94066/typeDesignationsInHomotypicalGroup.json
http://api.cybertaxonomy.org/flora-cuba/portal/name/cf18fcd0-214d-4f52-bfef-3e8222f94066/typeDesignationsInHomotypicalGroup.json

- Priority changed from New to Highest
- % Done changed from 0 to 10

Should be fixed together with #10322 and #461 related tickets.
https://dev.e-taxonomy.eu/redmine/issues/10322
https://dev.e-taxonomy.eu/redmine/issues/461
